package com.dxhy.common.enums;

import lombok.AllArgsConstructor;

/**
* @Description 农产品确认类型
* @Author wangruwei
* @Date 2023/10/11 14:53
**/
@AllArgsConstructor
public enum NcpQrlxEnum {
    NCP_QR_TYPE_DKNCP_3("3","代开农产品发票录入"),

    NCP_QR_TYPE_QBZC_13("13","属于自产农产品销售发票"),

    NCP_QR_TYPE_BSYZC_14("14","不属于自产农产品销售发票"),

    NCP_QR_TYPE_BFSY_15("15","部分属于自产农产品销售发票"),

    NCP_QR_TYPE_JE_KCL_16("16","按票面金额和基础税率计算抵扣"),

    NCP_QR_TYPE_PMSE_17("17","按票面税额抵扣"),

    //加计扣除部分
    NCP_QR_TYPE_JJKC_SQJJ_18("18","申请加计"),

    NCP_QR_TYPE_JJKC_CXJJ_19("19","撤销加计"),

    NCP_QR_TYPE_JJKC_SQQBBJJ_20("20","申请全部项目不加计"),

    NCP_QR_TYPE_JJKC_CXQBBJJ_21("21","撤销全部项目不加计");

    private final String key;
    private final String value;

    public static String getVal(String key) {
        for (NcpQrlxEnum materialEnum : NcpQrlxEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }
}
